import { jsx } from "react/jsx-runtime";
import { LightningA as LightningA$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const LightningA = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "LightningA", ...props, children: /* @__PURE__ */ jsx(LightningA$1, { weight: variant }) });
  }
);
LightningA.displayName = "LightningA";
Object.assign(LightningA, { isGdsIcon: true });
export {
  LightningA
};
